import { ValidatorFn } from "@angular/forms";
import { CountryCode } from "libphonenumber-js";
import { IsEmailOptions } from "validator";
import { ArrayUniqueProcessType } from "@devs-studio/array";
export declare class DevsValidators {
    static checkArrayUnique(fields: string[], processType?: ArrayUniqueProcessType): ValidatorFn;
    static checkArrayAtLeast(field: string, value: string | number | boolean, quantity?: number): ValidatorFn;
    static checkArrayAtLeast2(fn: (val: any) => boolean, quantity?: number): ValidatorFn;
    static isGreaterThanOrEqual(right: string): ValidatorFn;
    static isLessThanOrEqual(right: string): ValidatorFn;
    static mustMatchValidator(controlName: string, matchingControlName: string): (formGroup: import("@angular/forms").FormGroup<any>) => void;
    static isEnum(entity: Object): ValidatorFn;
    static isValidDate(format: string): ValidatorFn;
    static isValidIdentificationNumber(controlName: string): ValidatorFn;
    static isValidDocumentSerie(fileCodeControlname: string, sunatCodeControName: string, isElectronicControlName: string): ValidatorFn;
    static isValidPhoneNumber(country?: CountryCode): ValidatorFn;
    static isValidEmail(options?: IsEmailOptions | undefined): ValidatorFn;
}
